Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jbehave.core.annotations
Annotation Type UsingEmbedder

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    @Documented
    public @interface UsingEmbedder

Optional Element Summary
`boolean` | `batch`
`Class<?>` | `embedder`
`boolean` | `generateViewAfterStories`
`boolean` | `ignoreFailureInStories`
`boolean` | `ignoreFailureInView`
`String[]` | `metaFilters`
`boolean` | `skip`
`boolean` | `stepsFactory`
`long` | `storyTimeoutInSecs`
`String` | `systemProperties`
`int` | `threads`
`boolean` | `verboseFailures`
`boolean` | `verboseFiltering`

### embedder

    public abstract Class<?> embedder

  Default:
    org.jbehave.core.embedder.Embedder.class

### batch

    public abstract boolean batch

  Default:
    false

### skip

    public abstract boolean skip

  Default:
    false

### generateViewAfterStories

    public abstract boolean generateViewAfterStories

  Default:
    true

### ignoreFailureInStories

    public abstract boolean ignoreFailureInStories

  Default:
    false

### ignoreFailureInView

    public abstract boolean ignoreFailureInView

  Default:
    false

### verboseFailures

    public abstract boolean verboseFailures

  Default:
    false

### verboseFiltering

    public abstract boolean verboseFiltering

  Default:
    false

### storyTimeoutInSecs

    public abstract long storyTimeoutInSecs

  Default:
    300L

### threads

    public abstract int threads

  Default:
    1

### stepsFactory

    public abstract boolean stepsFactory

  Default:
    true

### metaFilters

    public abstract String[] metaFilters

  Default:
    {}

### systemProperties

    public abstract String systemProperties

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2003-2013. All Rights Reserved.